'use strict';
import io from 'socket.io-client';

/*
  Messages :
    - disconnect
    - reconnecting
    - reconnect
    - reconnect_failed
    -
*/
const SERVER_URL = process.env.SERVER_URL || 'http://localhost';
const SERVER_PORT = process.env.SERVER_PORT || 4000;

export default class SocketService {
  constructor(namespace) {

    this.ioClient = io.connect(SERVER_URL + ":" + SERVER_PORT + '/');
  }

  connect(serverUrl, serverPort) {
    this.disconnected=false;
    this.ioClient = io.connect(serverUrl + ":" + serverPort);

    console.log("is connected : " + this.ioClient.connected);
    this.ioClient.on('disconnect', () => {
      console.log("Connection with server lost");

    });
  }
  auth(name) {
    console.log("Authenticate to server player name : " + name);
    this.ioClient.emit('auth', name);
  }
}
