'use strict';

/* eslint-disable no-unused-vars */

import MenuController from './menu/control/menu-controller';
import Phaser from 'phaser';

function startGame() {
  console.log('start Game');

  let phaserConfig = {
    type: Phaser.CANVAS,
    width: 1200,
    height: 500,
    scene: [],
    backgroundColor: 'rgba(34,139,34 ,1 )'
  };
  let phaserEngine = new Phaser.Game(phaserConfig);
  let menuController = new MenuController(phaserEngine);

  menuController.displayMainMenu();

}

let app = {
  // Application Constructor
  initialize: function () {
    console.log('app initialize');
    document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
  },

  // deviceready Event Handler
  //
  // Bind any cordova events here. Common events are:
  // 'pause', 'resume', etc.
  onDeviceReady: function () {
    this.receivedEvent('deviceready');
    startGame();
  },

  // Update DOM on a Received Event
  receivedEvent: function (id) {
    var parentElement = document.getElementById(id);
    var listeningElement = parentElement.querySelector('.listening');
    var receivedElement = parentElement.querySelector('.received');

    listeningElement.setAttribute('style', 'display:none;');
    receivedElement.setAttribute('style', 'display:block;');

    console.log('Received Event: ' + id);
  }
};

console.log('cordova  :', process.env.CORDOVA );

if (process.env.CORDOVA) {

  app.initialize();
} else {
  startGame();
}
