'use strict';

import MainMenuScene from '../views/main-menu-scene';
import { PhaserScene } from '../../common/utils/const/phaser-scene-enum';
import GameParams from '../../common/game-params';
import GameControllerPnp from '../../game/control/game-controller-pnp';
import SocketService from '../../common/socket-service';

export default class MenuController {

  constructor(phaserEngine) {
    this.phaserEngine = phaserEngine;
    console.log("In constructor MenuController " + this.phaserEngine);

    this.mainMenuScene = new MainMenuScene(this.menuEventListener());

    //this.socketService = new SocketService();
    //this.socketService.connect('http://localhost', 4000);
    //this.socketService.auth('Jojo');
  }

  displayMainMenu() {

    this.phaserEngine.scene.add(PhaserScene.MAIN_MENU,this.mainMenuScene);
    this.phaserEngine.scene.start(PhaserScene.MAIN_MENU);
  }

  menuEventListener() {
    return {
      onNewPnpGame: this.onNewPnpGame.bind(this)
    };
  }

  onNewPnpGame(pBlueName, pRedName, gameMode, advancedRules) {
    console.log("onNewPnpGame this  : " + this);
      let gameParams = new GameParams(pBlueName,pRedName,gameMode,advancedRules);
      let gameControllerPnp = new GameControllerPnp(this.phaserEngine, gameParams);
      gameControllerPnp.displayDeckBuilding();
  }

}
